CWTextInternal::Token Struct Reference

Internal: class to store field definition: TOKN entry. More...

## Public Member Functions

| Token ()
| constructor More...

## Public Attributes

TokenType | m_type
| the type More...
int | m_zoneId
| the zone id which correspond to this type More...
int | m_page
| the page More...
int | m_size [2]
| the size(?) More...
int | m_descent
| the descent More...
int | m_unknown [3]
| the unknown zone More...
std::string | m_extra
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator << More...

## Detailed Description

Internal: class to store field definition: TOKN entry.

## Constructor & Destructor Documentation

CWTextInternal::Token::Token | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |

friend

operator <<

## Member Data Documentation

int CWTextInternal::Token::m_descent

the descent

Referenced by CWTextInternal::operator<<(), CWText::readTokens(), and CWText::sendText().

std::string CWTextInternal::Token::m_extra

a string used to store the parsing errors

Referenced by CWTextInternal::operator<<(), and CWText::readTokens().

int CWTextInternal::Token::m_page

the page

Referenced by CWTextInternal::operator<<(), and CWText::readTokens().

int CWTextInternal::Token::m_size[2]

the size(?)

Referenced by CWTextInternal::operator<<(), CWText::readTokens(), and Token().

TokenType CWTextInternal::Token::m_type

the type

Referenced by CWTextInternal::operator<<(), CWText::readTokens(), and CWText::sendText().

int CWTextInternal::Token::m_unknown[3]

the unknown zone

Referenced by CWTextInternal::operator<<(), CWText::readTokens(), CWText::sendText(), and Token().

int CWTextInternal::Token::m_zoneId

the zone id which correspond to this type

Referenced by CWTextInternal::operator<<(), CWText::readDSETZone(), CWText::readTokens(), and CWText::sendText().

The documentation for this struct was generated from the following file:

- CWText.cxx